Skip to main content
GET
/
v1
/
search
/
timeline
Search notes
curl --request GET \
  --url https://api.prod.getdex.com/v1/search/timeline \
  --header 'Authorization: Bearer <token>'
{
  "error": true,
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "content": "<string>",
        "type": "<string>",
        "is_pinned": true,
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "count": 123
  }
}

Use cases

  • Search for notes containing specific keywords or topics
  • Find past interactions or meeting notes
  • Power a global search bar that includes note results

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Query Parameters

searchQuery
string
startDate
string
endDate
string
take
integer
Required range: x >= 1
cursor
string

Response

Successful response

error
boolean
required
data
object
required